This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
14412
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
ANDK [...] cpan.org
Requestors:
adamk [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
1.76
Fixed in:
(no value)



Subject: Normalise the detected Perl version
When building package, CPAN should use the same version of Perl as the CPAN shell was launched with. However, sometimes it seems to forget and use the default install of Perl, and thus build and/or install incorrectly. The worse case seems to be when you launch CPAN using a Perl described by a relative path... For example ./legacyperl5/perl -MCPAN -e shell So in detecting which perl is currently in use, CPAN should run a File::Spec->rel2abs over the detected version to ensure that the current version of Perl is passed through in a higher percentage of cases.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.